sc::AccResultInfo Class Reference

This is like ResultInfo but the accuracy with which a result was computed as well as the desired accuracy are stored. More...

`#include <compute.h>`

Inheritance diagram for sc::AccResultInfo:
[legend]
Collaboration diagram for sc::AccResultInfo:
[legend]

## Public Member Functions

| AccResultInfo (Compute *c)
double | actual_accuracy () const
double | desired_accuracy () const
void | set_desired_accuracy (double)
void | set_actual_accuracy (double)
int | computed_to_desired_accuracy () const
int | needed () const
Public Member Functions inherited from sc::ResultInfo
| ResultInfo (Compute *c)
int & | compute ()
const int & | compute () const
int | compute (int c)
int & | computed ()
const int & | computed () const

## Protected Member Functions

| AccResultInfo (StateIn &, Compute *)
| AccResultInfo (const AccResultInfo &, Compute *)
virtual void | save_data_state (StateOut &)
virtual void | restore_state (StateIn &)
AccResultInfo & | operator= (const AccResultInfo &)
void | update ()
Protected Member Functions inherited from sc::ResultInfo
| ResultInfo (StateIn &, Compute *)
| ResultInfo (const ResultInfo &, Compute *)
ResultInfo & | operator= (const ResultInfo &)

## Additional Inherited Members

Protected Attributes inherited from sc::ResultInfo
int | _compute
int | _computed
Compute * | _c

## Detailed Description

This is like ResultInfo but the accuracy with which a result was computed as well as the desired accuracy are stored.

The documentation for this class was generated from the following file:

- compute.h